package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class AeaDestinatari.
 * @see sicura.entities.AeaDestinatari
 * @author Hibernate Tools
 */
@Stateless
public class AeaDestinatariHome {

	private static final Log log = LogFactory.getLog(AeaDestinatariHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(AeaDestinatari transientInstance) {
		log.debug("persisting AeaDestinatari instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(AeaDestinatari persistentInstance) {
		log.debug("removing AeaDestinatari instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public AeaDestinatari merge(AeaDestinatari detachedInstance) {
		log.debug("merging AeaDestinatari instance");
		try {
			AeaDestinatari result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public AeaDestinatari findById(Integer id) {
		log.debug("getting AeaDestinatari instance with id: " + id);
		try {
			AeaDestinatari instance = entityManager.find(AeaDestinatari.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
